// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Core.Gui.Dialogs {
    
    
    public partial class MultiMessageDialog {
        
        private Gtk.ScrolledWindow scrolled;
        
        private Gtk.VBox msgBox;
        
        private Gtk.Button buttonOk;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Core.Gui.Dialogs.MultiMessageDialog
            this.Name = "MonoDevelop.Core.Gui.Dialogs.MultiMessageDialog";
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.BorderWidth = ((uint)(6));
            this.HasSeparator = false;
            // Internal child MonoDevelop.Core.Gui.Dialogs.MultiMessageDialog.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Name = "dialog1_VBox";
            w1.BorderWidth = ((uint)(2));
            // Container child dialog1_VBox.Gtk.Box+BoxChild
            this.scrolled = new Gtk.ScrolledWindow();
            this.scrolled.Name = "scrolled";
            this.scrolled.HscrollbarPolicy = ((Gtk.PolicyType)(2));
            this.scrolled.BorderWidth = ((uint)(6));
            // Container child scrolled.Gtk.Container+ContainerChild
            Gtk.Viewport w2 = new Gtk.Viewport();
            w2.ShadowType = ((Gtk.ShadowType)(0));
            // Container child GtkViewport.Gtk.Container+ContainerChild
            this.msgBox = new Gtk.VBox();
            this.msgBox.Name = "msgBox";
            this.msgBox.Spacing = 12;
            w2.Add(this.msgBox);
            this.scrolled.Add(w2);
            w1.Add(this.scrolled);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(w1[this.scrolled]));
            w5.Position = 0;
            // Internal child MonoDevelop.Core.Gui.Dialogs.MultiMessageDialog.ActionArea
            Gtk.HButtonBox w6 = this.ActionArea;
            w6.Name = "dialog1_ActionArea";
            w6.Spacing = 6;
            w6.BorderWidth = ((uint)(5));
            w6.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child dialog1_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.buttonOk = new Gtk.Button();
            this.buttonOk.CanDefault = true;
            this.buttonOk.CanFocus = true;
            this.buttonOk.Name = "buttonOk";
            this.buttonOk.UseStock = true;
            this.buttonOk.UseUnderline = true;
            this.buttonOk.Label = "gtk-ok";
            this.AddActionWidget(this.buttonOk, -5);
            Gtk.ButtonBox.ButtonBoxChild w7 = ((Gtk.ButtonBox.ButtonBoxChild)(w6[this.buttonOk]));
            w7.Expand = false;
            w7.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 563;
            this.DefaultHeight = 346;
            this.Show();
        }
    }
}
